Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util
Class GetExecutor

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.AbstractExecutor
            |
            +--org.apache.commons.jexl.util.GetExecutor

public class GetExecutor
extends AbstractExecutor

Executor that simply tries to execute a get(key) operation. This will try to find a get(key) method for any type of object, not just objects that implement the Map interface as was previously the case.

Since:
  1.0
Version:
  $Id: GetExecutor.java 398171 2006-04-29 14:57:29Z dion $

Fields inherited from class org.apache.commons.jexl.util.AbstractExecutor
`method, rlog`

Constructor Summary
`GetExecutor(Log r, Introspector ispect, Class c, String key)` Default constructor.

Method Summary
`Object` | `execute(Object o)` {@inheritDoc}

Methods inherited from class org.apache.commons.jexl.util.AbstractExecutor
`getMethod, isAlive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetExecutor

    public GetExecutor(Log r,
                       Introspector ispect,
                       Class c,
                       String key)
                throws Exception

  Default constructor.
  Parameters:
    `r` - The instance log.
    `ispect` - The JEXL introspector.
    `c` - The class being examined.
    `key` - The key for the get(key) operation.
  Throws:
    `Exception` - Failure while trying to obtain the pertinent method.

Method Detail

### execute

    public Object execute(Object o)
                   throws IllegalAccessException,
                          InvocationTargetException

  {@inheritDoc}
  Overrides:
    `execute` in class `AbstractExecutor`
  Following copied from class: `org.apache.commons.jexl.util.AbstractExecutor`
  Parameters:
    `o` - The owner.
  Returns:
    The return value.
  Throws:
    `IllegalAccessException` - Method is inaccessible.
    `InvocationTargetException` - Method body throws an exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.